Bug 15206 - libnet: change_password() doesn't work with dcerpc_samr_ChangePasswordUser4()
Summary: libnet: change_password() doesn't work with dcerpc_samr_ChangePasswordUser4()
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other (show other bugs)
Version: 4.17.0
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-10-14 13:38 UTC by Andreas Schneider
Modified: 2022-10-31 14:28 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.17 (19.48 KB, patch)
2022-10-25 12:24 UTC, Andreas Schneider
npower: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2022-10-14 13:38:10 UTC
change_password() doesn't work with dcerpc_samr_ChangePasswordUser4(). We need to pass down the salt to use the one we already use of PBKDF2!

Patch will follow!
Comment 1 Samba QA Contact 2022-10-25 10:31:03 UTC
This bug was referenced in samba master:

e3ebda8c6ae6e0c202e2b11a65b98b4f247ae4db
16335412ff312ecb330f7890bd3e94117a5fa6ff
30ca92a8164e1c3a76cdb798ee997d27621a5abb
Comment 2 Andreas Schneider 2022-10-25 12:24:43 UTC
Created attachment 17602 [details]
patch for 4.17
Comment 3 Noel Power 2022-10-25 14:52:03 UTC
Comment on attachment 17602 [details]
patch for 4.17

lgtm
Comment 4 Noel Power 2022-10-25 14:52:39 UTC
assign to Jule for inclusion in next 4.17
Comment 5 Jule Anger 2022-10-31 09:04:13 UTC
Pushed to autobuild-v4-17-test.
Comment 6 Samba QA Contact 2022-10-31 10:09:04 UTC
This bug was referenced in samba v4-17-test:

c59f9c33192d7ca985023db5bdfe6c3939458f75
d26e2da30c08658bb3cf3643ac9b906239351c09
c57b3d3751df90c945c96467a897416c892b8bf6
Comment 7 Jule Anger 2022-10-31 14:28:05 UTC
Closing out bug report.

Thanks!